## org.eclipse.datatools.sqltools.debugger.breakpoint
Interface ISPBreakpoint

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.debug.core.model.IBreakpoint

All Known Implementing Classes:
  SPLineBreakpoint

    public interface ISPBreakpoint

extends org.eclipse.debug.core.model.IBreakpoint

Defines a breakpoint associated with a `Routine`.

Author:
  Yang Liu

Field Summary

Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint
`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

Method Summary
`org.eclipse.datatools.sqltools.core.ProcIdentifier` `getProcIdentifier()` Returns the associated `Routine` identifier.

Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint
`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getProcIdentifier

    org.eclipse.datatools.sqltools.core.ProcIdentifier getProcIdentifier()
                                                                         throws org.eclipse.core.runtime.CoreException

  Returns the associated `Routine` identifier.

  Returns:
    `ProcIdentifier` representing a `Routine`
  Throws:
    `org.eclipse.core.runtime.CoreException`